wordpressのDeprecatedエラーを至急抑制したい

Pocket

本来は駄目ですが、一時的にすぐに抑制したい時があります

例えば以下のようなエラーが出ている時
Deprecated: Function create_function() is deprecated in \wp-includes\pomo\translations.php on line 208

\wp-includes\pomo\translations.php
を探し出し、
translations.phpの208行目にある
return create_function(‘$n’, $func_body);
に、@を付けて
return @create_function(‘$n’, $func_body);
と変更します

同じように
Deprecated: __autoload() is deprecated, use spl_autoload_register() instead in \wp-includes\compat.php on line 502
の場合も
__autoload()

@__autoload()
とすると良いです

これだけで、エラーを抑制することが可能です
ただしこれはエラーの表示を抑えているだけの一時しのぎです
全く根本的な解決にはなっていません

wordpressのバージョンアップやプラグインの置き換え等、
根本的な解決をしたほうがよいでしょう